kthread_bind
Prev | Internal Functions | Next

## Name

kthread_bind — bind a just-created kthread to a cpu.

## Synopsis

`void kthread_bind (` | struct task_struct * | k,
| unsigned int | cpu`)`;

## Arguments

`k`

  thread created by `kthread_create`.

`cpu`

  cpu (might not be online, must be possible) for `k` to run on.

## Description

This function is equivalent to `set_cpus_allowed`, except that `cpu` doesn't need to be online, and the thread must be stopped (i.e., just returned from `kthread_create`).

Prev | Up | Next
kthread_create | Home | kthread_stop